---
title: "查询订单"
description: "可根据请求条件批量查询订单详细信息，比如根据订单创建时间或者更新时间来查询订单，同步订单数据，也可以指定订单 ID 查询单个订单信息。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/order-management/get-orders'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/order-management/get-orders.md'
---
# 查询订单

可根据请求条件批量查询订单详细信息，比如根据订单创建时间或者更新时间来查询订单，同步订单数据，也可以指定订单 ID 查询单个订单信息。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /orders.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_orders`

## Request

### Query Parameters

* `email`

  string (optional)

  下单买家的邮箱。

* `financial_status`

  string (optional)

  指定订单支付状态，有效枚举值包含：
  - `unpaid`：未支付
  - `authorized`：已授权
  - `pending`：支付中
  - `partially_paid`：部分支付
  - `paid`：已支付
  - `partially_refunded`：部分退款
  - `refunded`：已退款

* `fulfillment_status`

  string (optional)

  指定订单发货状态，有效枚举值包含：
  - `unshipped`：未发货
  - `partial`：部分发货
  - `shipped`：已发货
  
  默认值：`unshipped`
  
  :::warning
  **注意**：传入枚举值的准确性会进行强校验，如果枚举值校验不通过，则订单查询会失败，会报错 `fulfillment status value is illegal`。
  :::

* `updated_at_min`

  string (optional)

  按订单更新时间查询时，指定要查询的订单更新时间起始点。系统将返回该时间点及此后更新的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

* `buyer_id`

  string (optional)

  下单买家 ID。

* `contract_ids`

  string (optional)

  订阅合同 ID，多个以逗号分隔。最多支持 50 个 ID。

* `created_at_max`

  string (optional)

  按订单创建时间查询时，指定要查询的订单创建时间截止点。系统将返回该时间点及此前的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

* `created_at_min`

  string (optional)

  按订单创建时间查询时，指定要查询的订单创建时间起始点。系统将返回该时间点及此后的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

* `limit`

  string (optional)

  单次查询返回的订单最大数量。有效值范围为 `1` - `100`，默认值为 `20`。

* `location`

  string (optional)

  订单中商品被履约的地点 ID（或是 POS 交易点 ID），支持传入多个地点 ID，用逗号隔开。

* `name`

  string (optional)

  订单编号（和订单 ID 不同，该编号可以在商家后台自定义前缀）。

* `order_at_max`

  string (optional)

  按订单时间查询时，指定要查询的订单时间截止点。系统将返回该时间点及此前 1 年内的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

* `fields`

  string (optional)

  指定查询的字段，用逗号分隔，不传则返回所有的字段信息。

* `order_at_min`

  string (optional)

  按订单时间查询时，指定要查询的订单时间起始点。系统将返回该时间点及此后 1 年内的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

* `page_info`

  string (optional)

  分页查询的唯一标识，用于定位特定页面。
  
  该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 `link` 的值为 `<https://{handle}.myshopline.com/admin/openapi/{version}/orders.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` ，那么 `page_info `的值为 `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` 。
  
  关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。

* `search_content`

  string (optional)

  搜索内容， 例如订单号、支付流水号、快递单号、商品名称、商品 SKU 货号或订单金额等。

* `since_id`

  string (optional)

  要查询的数据的订单号 ID 的起始位置。

* `sort_condition`

  string (optional)

  设置查询订单结果的排序规则。可按以下字段进行排序：`order_at` （订单创建时间）或 `id` （订单 ID）。每个字段可以指定为升序 （`asc`）或降序 （`desc`）。如有多个排序条件，请使用逗号隔开。
  
  例如，若将该字段设置为 `order_at:desc, id:asc`，则订单结果将首先按照订单创建时间从新到旧的顺序排列，之后按照订单 ID 从小到大的顺序排列。

* `status`

  string (optional)

  指定订单状态，有效枚举值包含：
  - `open`：处理中
  - `cancelled`：已取消
  - `any`：包含任何状态，包括已归档

* `hidden_order`

  string (optional)

  指定要查询的订单是否已归档。
  - `true`：订单已归档。
  - `false`：订单未归档。
  
  默认值：`false`

* `ids`

  string (optional)

  订单号，多个以逗号分隔。最多支持 100 个订单号。

* `updated_at_max`

  string (optional)

  按订单更新时间查询时，指定要查询的订单更新时间截止点。系统将返回该时间点及此前更新的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `link`

  提供分页数据的 URL 链接。你可以获取该字段值中的 `page_info` 信息用于下一次分页请求中。
  
  当你请求的页面存在上一页或下一页的时候，该字段会被返回。关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `orders`

  array<object>

  订单数据列表。

  * `adjust_price`

    string

    POS 交易场景下因金额四舍五入带来的差额金额，用店铺币种。

  * `adjust_price_set`

    object

    POS 交易场景下因金额四舍五入带来的差额金额，分别以买家币种和店铺币种展示。

    * `presentment_money`

      object

      展示给买家的差额金额信息。

      * `amount`

        string

        差额金额。数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      店铺侧记录的差额金额信息。

      * `amount`

        string

        差额金额。数值保留到小数点后两位。
        

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `billing_address`

    object

    用于邮寄账单发票的地址。

    * `address1`

      string

      账单地址的第一行。通常是街道地址或邮政信箱编号等信息。

    * `address2`

      string

      账单地址的第二行。通常是公寓、套房或单元等信息。

    * `city`

      string

      账单地址中的城市。

    * `company`

      string

      账单收件人所在的公司名称。

    * `country`

      string

      账单地址中的国家或地区。

    * `country_code`

      string

      账单地址中国家或地区的二位码，遵循 [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html)  国际标准。

    * `first_name`

      string

      账单收件人的名。

    * `last_name`

      string

      账单收件人的姓。

    * `name`

      string

      账单收件人的全名。

    * `phone`

      string

      账单收件人的手机号码。

    * `province`

      string

      账单地址中的省份。

    * `province_code`

      string

      账单地址中省份的编码，该编码可以是自定义编号或者为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码。

    * `standard_province_code`

      string

      账单地址中省份的编码，该编码为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码，区别于`province_code`返参为自定义编码。

    * `zip`

      string

      账单地址的邮编信息。

  * `browser_ip`

    string

    买家下单时的客户端 IP 地址。

  * `buyer_note`

    string

    买家留言。

  * `cancel_reason`

    string

    商家取消原因。

  * `cancelled_at`

    string

    订单取消的日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `cart_token`

    string

    购物车数据的唯一标识。

  * `checkout_id`

    string

    弃单 ID。

  * `checkout_token`

    string

    弃单数据的唯一标识，C 端买家发起结算，会生成弃单 。

  * `client_details`

    object

    客户端详细信息。

    * `browser_ip`

      string

      买家下单时的客户端 IP 地址。

    * `session_hash`

      string

      会员会话加密信息。

    * `user_agent`

      string

      客户端代理。

  * `company`

    object

    买家下单时买家所在的公司信息。

    * `id`

      string

      公司 ID。

    * `location_id`

      string

      地点 ID。
      

    * `tax_registration_id`

      string

      税号信息。

  * `contract_seq`

    string

    订阅合同号。

  * `created_at`

    string

    订单创建日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `credit_limit`

    object

    信用额度支付信息。

    * `credit_limit_currency`

      string

      信用额度币种，与店铺币种相同。三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `is_credit_limit`

      boolean

      订单是否使用了信用额度（账期）支付。
      - `true`：有使用 
      - `false`：未使用

    * `outstanding_credit_limit`

      string

      订单当前待结清（未还）的信用额度总和。随着买家对该订单进行还款，此数值会相应减少。初始和 `total_credit_limit` 相等，如果后续有类似还款操作，占用的额度则相应减少。

    * `total_credit_limit`

      string

      订单初始使用的信用额度总和（等于初始待结清金额）。

  * `currency`

    string

    交易币种，三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `current_subtotal_price`

    string

    商品金额总和，为商品单价 * 数量，以店铺币种展示。

  * `current_subtotal_price_set`

    object

    商品金额总和，为商品单价 * 数量，分别以买家币种和店铺币种展示。

    * `presentment_money`

      object

      展示给买家的订单价格信息。

      * `amount`

        string

        订单金额。数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      店铺侧记录的订单价格信息。

      * `amount`

        string

        订单金额。数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `current_total_discounts`

    string

    折扣金额总和，数值保留到小数点后两位，为营销优惠 + 人工折扣，以店铺币种展示。

  * `current_total_discounts_set`

    object

    折扣金额总和，数值保留到小数点后两位，为营销优惠 + 人工折扣，分别以买家币种和店铺币种展示。

    * `presentment_money`

      object

      展示给买家的折扣金额信息。

      * `amount`

        string

        折扣金额总和，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      店铺侧记录的折扣金额信息。

      * `amount`

        string

        折扣金额总和，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `current_total_duties_set`

    object

    商品总关税，分别以买家币种和店铺币种展示。

    * `presentment_money`

      object

      展示给买家的商品总关税信息。

      * `amount`

        string

        关税金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      店铺侧记录的商品总关税信息。

      * `amount`

        string

        关税金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `current_total_price`

    string

    订单总额，以店铺币种展示。

  * `current_total_price_set`

    object

    订单总额，分别以买家币种和店铺币种展示。

    * `presentment_money`

      object

      展示给买家的订单价格信息。

      * `amount`

        string

        订单总额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      店铺侧记录的订单价格信息。

      * `amount`

        string

        订单总额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `current_total_tax`

    string

    税费金额总和，以店铺币种展示。

  * `current_total_tax_set`

    object

    税费金额总和，分别以买家币种和店铺币种展示。

    * `presentment_money`

      object

      展示给买家的税费信息。

      * `amount`

        string

        税费，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      店铺侧记录的税费信息。

      * `amount`

        string

        税费，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。
        

  * `customer`

    object

    买家信息。

    * `addresses`

      object

      买家地址信息。

      * `address1`

        string

        买家地址的第一行。通常是街道地址或邮政信箱编号等信息。

      * `address2`

        string

        买家地址的第二行。通常是公寓、套房或单元等信息。

      * `city`

        string

        买家地址中的城市。

      * `country`

        string

        买家地址中的国家或地区。

      * `country_code`

        string

        买家地址中国家或地区的二位码，遵循 [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) 国际标准。

      * `first_name`

        string

        买家地址中收件人的名。

      * `last_name`

        string

        买家地址中收件人的姓。

      * `name`

        string

        买家地址中收件人的全名。

      * `phone`

        string

        买家地址中收件人手机号。

      * `province`

        string

        买家地址中的省份。

      * `province_code`

        string

        买家地址中省份的编码，该编码可以是自定义编号或者为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码。

      * `zip`

        string

        买家地址的邮编信息。

    * `area_code`

      string

      国家或地区的手机区号。

    * `created_at`

      string

      买家信息创建日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

    * `currency`

      string

      三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `email`

      string

      买家的邮箱地址。

    * `first_name`

      string

      买家的名。

    * `id`

      string

      买家 ID。

    * `last_name`

      string

      买家的姓。

    * `phone`

      string

      买家的手机号。

    * `updated_at`

      string

      买家信息更新日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `customer_locale`

    string

    买家语种编码 + 国家或地区码。语种编码遵循 [ISO 639](https://www.iso.org/iso-639-language-code) 标准。国家或地区码遵循 [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) 标准。

  * `deduct_member_point_amount`

    string

    当前订单会员积分抵扣金额，以店铺币种展示。数值保留到小数点后两位。

  * `deduct_member_point_amount_set`

    object

    当前订单会员积分抵扣金额，分别以买家币种和店铺币种展示。

    * `presentment_money`

      object

      展示给买家的订单抵扣金额信息。

      * `amount`

        string

        抵扣金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      店铺侧记录的订单抵扣金额信息。

      * `amount`

        string

        抵扣金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `discount_applications`

    array<object>

    折扣信息列表。

    * `activity_type`

      integer

      商品行享受的活动类型：
      
      - `0`：满减满折、免邮
      - `1`：限时促销
      - `2`：捆绑组合
      - `3`：优惠码
      - `4`：一页商店
      - `5`：赠品活动
      - `6`：预售
      - `7`：加购品
      - `8`：礼品盒
      - `9`：商品追售活动

    * `allocation_method`

      string

      折扣的范围。有效枚举值包含：
      - `across`：按照购买总数折扣
      - `each`：按照单个商品分别折扣
      
      示例：假设店铺币种为人民币。对于一次购买三个相同的商品，折扣为 10 元，如果 `allocation_method` 为 `across`，三个商品一起减 10 元；如果 `allocation_method` 为 `each`，每个商品减 10 元。

    * `benefit_type`

      integer

      商品行享受的优惠类型：
      
      - `-1`：无优惠
      - `1`：减金额
      - `2`：打折
      - `3`：免运费
      - `4`：加价品
      - `5`：任意N件优惠价
      - `6`：A+B组合优惠价
      - `7`：赠品
      - `8`：固定售价
      - `9`：最低价商品免费
      - `11`：第N件打折
      - `12`：买x送y
      - `13`：自定义
      - `14`：N件M元

    * `code`

      string

      折扣码。

    * `description`

      string

      自定义折扣的描述。

    * `target_selection`

      string

      折扣分配商品行方式。有效枚举值包含：
      - `explicit`：折扣分配到明确选择的商品行
      - `all`：折扣分配到所有商品行
      - `entitled`：折扣仅分配到其有权使用的商品行

    * `target_type`

      string

      折扣应用的对象。有效枚举值包含：
      - `line_item`：作用在商品上的折扣
      - `shipping_line`：作用在运费上的折扣

    * `title`

      string

      自动折扣的标题。

    * `type`

      string

      折扣类型。有效枚举值包含：
      - `manual`：手动折扣
      - `automatic`：自动折扣
      - `discount_code`：折扣码

    * `value`

      string

      折扣的具体值，以店铺币种展示。
      - 当 `value_type` 为 `fix_amount` 时，此字段值表示特定的折扣金额。例如，如果 `value` 为 `10` ，店铺币种为人民币，则折扣为 10 元。
      - 当 `value_type` 为 `percentage` 时，此字段值的值表示特定的折扣百分比。例如，`10` 表示订单金额的 10% 折扣。

    * `value_type`

      string

      折扣值的类型。有效枚举值包含：
      - `fix_amount`：固定金额折扣。例如，如果 `value` 为 `10`，店铺币种为人民币，则意味着折扣为 10 元。
      - `percentage`：百分比折扣。例如，如果 `value` 为 `10`，店铺币种为人民币，则表示订单金额的 10% 折扣。

  * `discount_codes`

    array<object>

    优惠码信息列表。

    * `amount`

      string

      优惠金额，以店铺币种展示，数值保留到小数点后两位。
      

    * `amount_set`

      object

      优惠金额，分别以买家币种和店铺币种展示。

      * `presentment_money`

        object

        展示给买家的优惠金额信息。

      * `shop_money`

        object

        店铺侧记录的优惠金额信息。

    * `code`

      string

      优惠码。

    * `type`

      string

      优惠类型。有效枚举值包含：
      - `减金额`：全场满 100 元立减 10 元
      - `打折`：全场满 100 元打 9 折
      - `免运费`：满 3 件免运费
      - `加价品`：需要支付额外金额
      - `任意N件优惠价`：任意买 3 件商品，只需 99 元
      - `A+B组合优惠价`：同时买 A 商品和 B 商品，两件一起只需 88 元
      - `赠品`：购买制定商品赠送额外商品
      - `固定售价`：统一售价 29 元
      - `最低价商品免费`：买 3 件商品，最便宜的那件免费
      - `打包价`：多件商品组合以固定总价出售
      - `第N件打折`：第 2 件打 8 折
      - `买x送y`：满 2 件送 1 件
      - `自定义`：自定义折扣
      
      :::danger
      **废弃**：该字段自 API 版本 v20241201 起已废弃。
      :::

  * `email`

    string

    买家邮箱。

  * `financial_status`

    string

    订单付款状态。有效枚举值包含：
    - `unpaid`：未支付
    - `authorized`：已授权
    - `pending`：处理中
    - `partially_paid`：部分付款
    - `paid`：已付款
    - `partially_refunded`：部分退款
    - `refunded`：已退款

  * `fulfillment_status`

    string

    发货状态。有效枚举值包含：
    - `fulfilled`：已发货
    - `partial`：部分发货
    - `null`：未发货

  * `fulfillments`

    array<object>

    发货单信息列表。

    * `created_at`

      string

      发货单创建日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

    * `id`

      string

      发货单 ID。

    * `line_items`

      array<object>

      商品列表。

      * `attribute`

        string

        款式规格信息，以款式名称和规格值拼接展示。

      * `bundle_parent_variant_id`

        string

        套装子商品关联的父商品款式ID。

      * `fulfillable_quantity`

        integer

        商品剩余可发货数量。

      * `fulfillment_quantity`

        integer

        已发货数量。

      * `fulfillment_service`

        string

        物流商名称。

      * `fulfillment_status`

        string

        商品发货状态。有效枚举值包含：
        - `fulfilled`：已发货
        - `partial`：部分发货
        - `null`：未发货

      * `grams`

        double

        重量，单位：g。

      * `id`

        string

        商品快照表的 ID，系统生成，与订单号 `order.id` 唯一确认一个商品。

      * `image_url`

        string

        商品图片的 URL 地址。

      * `is_bundle`

        boolean

        是否为套装商品。有效枚举值包含：
        
        - `true` ：是套装商品。
        - `false` ：不是套装商品。

      * `is_bundle_component`

        boolean

        是否为套装子商品。有效枚举值包含：
        
        - `true` ：是套装子商品。
        - `false` ：不是套装子商品。

      * `location_id`

        string

        取货地点唯一编号。

      * `name`

        string

        SKU 标题，该字段值和 `title` 一致。

      * `price`

        string

        商品售价，以店铺币种展示。数值保留到小数点后两位。

      * `price_set`

        object

        商品售价，分别以店铺币种和买家币种展示。

      * `product_id`

        string

        款式对应商品的唯一标识 ID。

      * `quantity`

        integer

        订单中的商品数量。

      * `requires_shipping`

        boolean

        商品是否需要发货。
        - `true`：需要发货
        - `false`：不需要发货

      * `sku`

        string

        商品 SKU 序列号。

      * `tax_lines`

        array<object>

        税费明细列表。

      * `taxable`

        boolean

        该商品是否需要收税。
        - `true`：需要收税
        - `false`：不需要收税

      * `title`

        string

        商品标题。

      * `variant_id`

        string

        分配给库存中某一特定商品的唯一编码。

      * `variant_title`

        string

        商品款式值，多个以 `/ ` 分割。

      * `vendor`

        string

        供应商。

    * `name`

      string

      发货单编码。

    * `order_id`

      string

      订单号。

    * `shipment_status`

      string

      物流状态。有效枚举值包含：
      - `out_for_delivery`：正在配送
      - `delivered`：已送达
      - `faliure`：配送失败
      - `picked_up`：已取货

    * `status`

      string

      物流配送状态。有效枚举值包含：
      - `success`：已发货
      - `cancelled`：已取消

    * `tracking_company`

      string

      物流公司名称。

    * `tracking_info_list`

      array<object>

      物流追踪信息列表，若指定该入参，则单个入参的`tracking_url`、`tracking_number`、`tracking_company`被拦截。最多传入 10 个追踪信息。

      * `tracking_company`

        string

        物流服务商。

      * `tracking_number`

        string

        物流单号。

      * `tracking_url`

        string

        追踪链接。

    * `tracking_number`

      string

      第三方物流单号。

    * `tracking_url`

      string

      物流公司的域名。

    * `updated_at`

      string

      订单包裹更新日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `hidden_order`

    boolean

    指示订单是否已归档。
    - `true`：订单已归档。
    - `false`：订单未归档。

  * `id`

    string

    订单号，系统自定义编号。

  * `landing_site`

    string

    记录完整的订单归因落地页的链接。

  * `line_items`

    array<object>

    订单商品快照信息列表。

    * `attribute`

      string

      款式规格信息，以款式名称和规格值拼接展示。

    * `bundle_parent_variant_id`

      string

      套装子商品关联的父商品款式ID。

    * `country_code_of_origin`

      string

      原产地或发货地的国家或地区代码，用于识别市场所在的国家或地区。遵循 [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) 国际标准。

    * `customized_attributes`

      array<object>

      商品自定义的属性。

      * `key`

        string

        自定义属性名称。由外部传入，但只有 `key` 为 `businessType` 时，`value` 为下单时系统主动生成，值为 `3`。

      * `value`

        string

        商品自定义属性值，当 `key` 为 `businessType` 时，只透出值为 `3` （表示赠品）。

    * `discount_allocations`

      array<object>

      营销折扣金额，分别以买家币种和店铺币种展示。

      * `amount`

        string

        营销折扣金额，数值保留到小数点后两位。
        

      * `amount_set`

        object

        折扣明细金额多币种。

      * `discount_application_index`

        integer

        标明商品行应用的折扣在 `orders.discount_applications` 中的位置。

    * `duties`

      array<object>

      关税信息。

      * `country_code_of_origin`

        string

        原产地或发货地的国家或地区代码，用于识别市场所在的国家或地区。遵循 [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) 国际标准。

      * `harmonized_system_code`

        string

        海关编码，用于在国际贸易中对产品进行分类。

      * `id`

        string

        关税编号。

      * `price`

        object

        关税金额，分别以买家币种和店铺币种展示。

      * `tax_lines`

        array<object>

        税费信息列表。

    * `fulfillable_quantity`

      integer

      剩余可发货数量。

    * `fulfillment_service`

      string

      物流商名称。

    * `fulfillment_status`

      string

      商品发货状态。有效枚举值包含：
      - `fulfilled`：已发货
      - `partial`：部分发货
      - `null`：未发货

    * `gift_card`

      boolean

      是否为礼品卡商品。
      - `true`：是礼品卡商品
      - `false`：不是礼品卡商品

    * `grams`

      double

      重量，单位：g。

    * `harmonized_system_code`

      string

      海关编码，用于在国际贸易中对产品进行分类。

    * `id`

      string

      商品快照表的 ID，系统生成，与订单号 `order.id` 唯一确认一个商品。

    * `image_url`

      string

      商品图片的 URL 地址。

    * `is_bundle`

      boolean

      是否为套装商品。有效枚举值包含：
      
      - `true` ：是套装商品。
      - `false` ：不是套装商品。

    * `is_bundle_component`

      boolean

      是否为套装子商品。有效枚举值包含：
      
      - `true` ：是套装子商品。
      - `false` ：不是套装子商品。

    * `location_id`

      string

      本地配送地点编号或普通配送地点编号。

    * `name`

      string

      SKU 标题，该字段值和 `title` 一致。

    * `price`

      string

      商品售价，以店铺币种展示，数值保留到小数点后两位。

    * `price_set`

      object

      商品售价，分别以店铺币种和买家币种展示。

      * `presentment_money`

        object

        展示给买家的商品售价信息。

      * `shop_money`

        object

        店铺侧记录的商品售价信息。

    * `product_id`

      string

      款式对应商品的唯一标识 ID。

    * `properties`

      array<object>

      商品定制信息列表。

      * `additional`

        string

        定制商品附加字段，比如当 `name` 为 `文字`，`additional` 可以附加文字的字号、字体、颜色等。

      * `name`

        string

        自定义属性名称。

      * `role_visibility`

        string

        定制信息可见对象：
        
        - `customer`: 仅对买家可见 
        - `merchant`: 仅对商家可见
        - ` all:` 同时对买家和商家可见 
        - `none`: 同时对买家和商家不可见

      * `show`

        boolean

        该属性是否可见。
        
        - `true`：该属性可见。
        - `false`：该属性不可见。

      * `type`

        string

        定制信息类型。有效枚举值包含：
        - `text`：字符类型
        - `picture`：图片类型
        - `link`：链接类型

      * `urls`

        array<string>

        URL 资源列表。
        - 如果 `type` 是 `picture`，可通过 `urls` 获取渲染出缩略图。
        - 如果 `type` 是 `link`，那么超链接为 `urls` 的第一个。

      * `value`

        string

        自定义属性值。

    * `quantity`

      integer

      订单中的商品数量。

    * `requires_shipping`

      boolean

      商品是否需要发货。
      - `true`：需要发货
      - `false`：不需要发货

    * `sku`

      string

      商品 SKU 序列号。

    * `tags`

      string

      商品标签，多个以逗号隔开。

    * `tax_lines`

      array<object>

      税费明细列表。

      * `price`

        string

        税费，以店铺币种展示。数值保留到小数点后两位。

      * `price_set`

        object

        税费，分别以买家币种和店铺币种展示。

      * `rate`

        double

        税率，以小数形式表示，数值保留到小数点后四位。如果税率为2%，该值为`0.0200`。该信息只做展示作用。

      * `title`

        string

        税费说明标题。该信息只做展示作用。

      * `type`

        string

        税费用类型，用于区分是商品税还是运费税。
        - `product_tax`：商品税
        - `shipping_tax`：运费税

    * `taxable`

      boolean

      该商品是否需要收税。
      - `true`：需要收税
      - `false`：不需要收税

    * `title`

      string

      商品标题。

    * `variant_id`

      string

      分配给库存中某一特定商品的唯一编码。

    * `variant_title`

      string

      商品属性值，多个以 `/ ` 分割。

    * `vendor`

      string

      供应商。

  * `locations`

    array<object>

    到店取货地点地址信息列表。

    * `address`

      string

      地址的第一行。通常包含街道地址或邮政信箱编号等信息。

    * `address_add`

      string

      地址的第二行。通常是公寓、套房或单元等信息。

    * `city`

      string

      地址中的城市。

    * `country`

      string

      地址中的国家或地区。

    * `country_code`

      string

      国家或地区码。遵循 [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) 国际标准的二位国家或地区码，用于识别市场所在的国家或地区。

    * `district`

      string

      地址中的区或县。

    * `location_id`

      string

      取货地点唯一编号。

    * `name`

      string

      取货地址名称。

    * `phone`

      string

      电话号码。

    * `province`

      string

      地址中的省份。

    * `town`

      string

      地址中的乡或镇。

    * `type`

      string

      地点类型。有效枚举值包含：
      - `posLocation`：POS 渠道创建该订单的门店地点。建议使用 `posLocationId`，因为 `posLocation` 后续将废弃。
      - `pickupLocation`：当订单的配送方式为自提时，自提的门店地点。
      - `productLocation`：订单中商品的库存地点。建议使用商品行中的 `location` 信息，因为 `productLocation` 后续将废弃。

    * `zip`

      string

      地址的邮编信息。

  * `name`

    string

    商家自定义的订单号，从 1001 开始，可以设置前缀。

  * `note`

    string

    商家备注内容。

  * `note_attributes`

    array<object>

    商家备注日志。

    * `create_time`

      string

      备注创建日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

    * `name`

      string

      商家标识，表明备注来源。

    * `value`

      string

      备注内容。

  * `order_at`

    string

    订单日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `order_source`

    string

    订单来源渠道的 handle。handle 为语义化标识符。

  * `order_status_url`

    string

    订单状态页 URL。

  * `payment_details`

    array<object>

    支付单信息列表。

    * `create_time`

      string

      支付单创建日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

    * `gateway`

      string

      支付方式名称。

    * `giftcard_presentment_money`

      object

      展示给买家的礼品卡金额。

      * `amount`

        string

        礼品卡金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `pay_amount`

      double

      支付金额，以店铺币种展示。数值保留到小数点后两位。

    * `pay_channel`

      string

      支付渠道。

    * `pay_channel_deal_id`

      string

      外部渠道支付流水号。

    * `pay_merchant_email`

      string

      支付商户 email 账户。

    * `pay_merchant_id`

      string

      支付商户 ID。

    * `pay_merchant_order_id`

      string

      支付商户订单号。

    * `pay_seq`

      string

      支付单号。

    * `pay_status`

      string

      支付单状态。有效枚举值包含：
      - `unpaid`：未支付
      - `pending`：支付中
      - `risking`：风控中
      - `paid`：已支付
      - `paid_overtime`：支付超时
      - `paid_failed`：支付失败

    * `payment_method`

      string

      支付方式。

    * `processed_at`

      string

      自定义传入的支付单创建日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

    * `settle_currency`

      string

      支付结算币种。三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `settle_pay_amount`

      double

      支付金额，以结算币种展示。数值保留到小数点后两位。

    * `status_code`

      string

      支付网关标准状态码。

    * `status_msg`

      string

      支付网关状态码信息。

  * `payment_gateway_names`

    array<string>

    付款方式列表。有效枚举值包含：
    - `SLpayments`
    - `Paypal（PayPal支付）`
    - `Oceanpay（钱海支付）`
    - `TwoCheckout`
    - `AsiaBill`
    - `Stripe`
    - `Pacypay`
    - `WorldPay`
    - `COD（货到付款）`
    - `CUSTOM（自定义）`
    - `adjustPay（资金调整）`
    - `Xendit（xendit 信用卡）`
    - `XenditOther`

  * `payment_terms`

    object

    支付条款。

    * `created_at`

      string

      支付条款创建日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

    * `due_in_days`

      integer

      多少天后未付款则到期，当 `payment_terms_type` 为 `NET` 时提供。

    * `id`

      string

      唯一识别该支付条款的 ID。

    * `overdue`

      boolean

      支付是否逾期。
      - `true`：已逾期
      - `false`：未逾期

    * `payment_schedules`

      array<object>

      与付款条件相关联的一组时间表。

      * `completed_at`

        string

        付款完成日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

      * `due_at`

        string

        预计付款日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

      * `issued_at`

        string

        付款起始的日期和时间。当 `payment_terms_type` 为 `FIXED` 或 `NET` 时，`issue_at` 表示草稿单或订单保存时间。若草稿单成单，则订单继承草稿单的保存时间。当 `payment_terms_type` 为 `FULFILLMENT` 或 `RECEIPT` 时，为付款起始的日期和时间。格式: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

    * `payment_terms_name`

      string

      用于创建付款条件的付款条件模板的名称。

    * `payment_terms_type`

      string

      用于创建付款条件的模板名称。有效枚举值包含：
      - `FIXED`：商家指定日期
      - `FULFILLMENT`：完成发货日期
      - `NET`：固定条件日期
      - `RECEIPT`：发送账单日期
      - `UNKNOWN`：未知类型

    * `updated_at`

      string

      支付条款更新日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `phone`

    string

    买家的手机号。

  * `po_number`

    string

    B2B 场景在订单上记录的采购订单号。

  * `pos_location_id`

    string

    POS 交易地点 ID。

  * `presentment_currency`

    string

    买家侧币种，同店铺侧币种。三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `processed_at`

    string

    成单日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `processed_user_id`

    string

    订单创建者的 ID。

  * `referring_site`

    string

    归因 URL，用于记录买家如何被重定向到在线商店。

  * `refunds`

    array<object>

    退款列表。

    * `created_at`

      string

      退款单创建日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

    * `id`

      string

      退款 ID。

    * `note`

      string

      商家退款备注。

    * `order_adjustments`

      array<object>

      调整单信息，用于记录两类信息：
      - 与运费相关的退款信息，调整单类型 `kind` 为 `shipping_refund`。
      - 自动计算的退款金额与实际退款金额的差值，调整单类型 `kind` 为 `refund_discrepancy`。

      * `amount`

        string

        调整单金额，数值保留到小数点后两位。

      * `amount_set`

        object

        调整单金额。分别以买家币种和店铺币种展示。

      * `id`

        string

        调整单 ID。

      * `kind`

        string

        调整单类型。有效枚举值包含：
        - `refund_discrepancy`：运费金额调整
        - `shipping_refund`：支付单金额调整

      * `order_id`

        string

        订单号。

      * `reason`

        string

        调整原因。

      * `refund_id`

        string

        退款单 ID。

      * `tax_amount`

        string

        调整单税费金额，以店铺币种展示。数值保留到小数点后两位。

      * `tax_amount_set`

        object

        调整单税费金额，分别以买家币种和店铺币种展示。

    * `order_id`

      string

      订单号。

    * `processed_at`

      string

      退款发起日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

    * `refund_line_items`

      array<object>

      商品行退款详情列表。

      * `id`

        string

        退款单号。

      * `line_item`

        object

        发货单商品行信息。

      * `line_item_id`

        string

        商品快照表的 ID，系统生成，与订单号 `order.id` 唯一确认一个商品。

      * `quantity`

        integer

        退款商品数量。

      * `restock_type`

        string

        库存返还类型。有效枚举值包含：
        - `no_restock`：未返还
        - `cancel`：取消
        - `return`：返还

      * `subtotal`

        double

        退款金额合计，以店铺币种展示。数值保留到小数点后两位。

      * `subtotal_set`

        object

        退款总额，按单价和数量的乘积计算，分别以买家币种和店铺币种展示。

      * `total_tax`

        double

        退款商品的税额，以店铺币种展示。数值保留到小数点后两位。

      * `total_tax_set`

        object

        总税额，分别以买家币种和店铺币种展示。

    * `transactions`

      array<object>

      退款交易信息列表。

      * `amount`

        string

        退款金额，数值保留到小数点后两位。
        

      * `channel_refund_id`

        string

        渠道退款单号，暂时支持```SHOPLINE Payment```支付渠道。

      * `created_at`

        string

        退款交易单创建日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

      * `currency`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

      * `gateway`

        string

        支付渠道代码。

      * `id`

        string

        退款 ID。

      * `kind`

        string

        交易类型，返回值为 `refund`。

      * `order_id`

        string

        订单号。

      * `processed_at`

        string

        退款单更新日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

      * `settle_amount`

        string

        退款金额 (结算币种)。数值保留到小数点后两位。

      * `settle_currency`

        string

        退款结算币种。三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

      * `status`

        string

        处理状态。有效枚举值包含：
        - `pending`：退款中
        - `failure`：退款失败
        - `success`：退款成功
        - `error`：退款出错

      * `status_update_at`

        string

        退款单状态变更时间。

      * `user_id`

        string

        买家 ID。

    * `user_id`

      string

      买家 ID。

  * `service`

    string

    运输方式类型。有效枚举值包含：
    - `Pickup`：到店取货
    - `null`：其他运输方式

  * `shipping_address`

    object

    收货地址。

    * `address1`

      string

      地址的第一行。通常是街道地址或邮政信箱编号等信息。

    * `address2`

      string

      地址的第二行。通常是公寓、套房或单元等信息。

    * `city`

      string

      地址中的城市。

    * `company`

      string

      收件人所在的公司名称。

    * `country`

      string

      地址中的国家或地区。

    * `country_code`

      string

      地址中国家或地区的二位码，遵循 [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) 国际标准的二位国家或地区码，用于识别市场所在的国家或地区。

    * `delivery_store_code`

      string

      台湾店配配送方式的门店编码。

    * `delivery_store_name`

      string

      台湾店配配送方式的门店名称。

    * `district`

      string

      地址中的区。

    * `district_code`

      string

      地址中的区编码。

    * `first_name`

      string

      收件人的名。

    * `last_name`

      string

      收件人的姓。

    * `latitude`

      string

      地址所在的纬度。

    * `longitude`

      string

      地址所在的经度。

    * `name`

      string

      收件人的全名。

    * `phone`

      string

      收件人的手机号码。

    * `province`

      string

      地址中的省份。

    * `province_code`

      string

      地址中省份的编码，该编码可以是自定义编号或者为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码。

    * `standard_province_code`

      string

      地址中省份的编码，该编码为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码，区别于`province_code`返参为自定义编码。

    * `zip`

      string

      地址的邮编信息。

  * `shipping_lines`

    array<object>

    运费列表。

    * `code`

      string

      只有本地配送运费方案有值，返回  `Local delivery` 。

    * `discount_allocations`

      array<object>

      折扣明细列表。

      * `amount`

        string

        折扣金额，以店铺币种展示。数值保留到小数点后两位。

      * `amount_set`

        object

        折扣金额，分别以买家币种和店铺币种展示。

      * `discount_application_index`

        integer

        标明商品行应用的折扣在 `orders.discount_applications` 中的位置。

    * `discounted_price`

      string

      折扣金额，以店铺币种展示。数值保留到小数点后两位。

    * `discounted_price_set`

      object

      折扣金额，分别以买家币种和店铺币种展示。

      * `presentment_money`

        object

        展示给买家的折扣金额信息。

      * `shop_money`

        object

        店铺侧记录的折扣金额信息。

    * `phone`

      string

      买家的手机号。

    * `price`

      string

      运费，以店铺币种展示。数值保留到小数点后两位。

    * `price_set`

      object

      运费金额，分别以买家币种和店铺币种展示。

      * `presentment_money`

        object

        展示给买家的运费信息。

      * `shop_money`

        object

        店铺侧记录的运费信息。

    * `requested_fulfillment_service_id`

      string

      运输服务代号。

    * `shipping_price`

      string

      原运费金额值，非折扣后金额，以店铺币种展示。数值保留到小数点后两位。

    * `shipping_price_set`

      object

      原运费金额值，非折扣后金额，分别以买家币种和店铺币种展示。

      * `presentment_money`

        object

        展示给买家的运费信息。

      * `shop_money`

        object

        店铺侧记录的运费信息。

    * `shipping_strategy_name`

      string

      运输策略名称，当发货方式为 `SHIPPING` 或 `LOCAL_DELIVERY` ，才有对应的值。

    * `source`

      string

      物流承运商类型。有效枚举值包含：
      - `Shipper`：Shipper 物流
      - `Oneship`：Oneship 物流
      - `Api`：通过开放能力添加的承运商的物流
      - `null`：系统物流或自定义物流

    * `tax_lines`

      array<object>

      税费信息列表。

      * `price`

        string

        税费，以店铺币种展示。数值保留到小数点后两位。

      * `price_set`

        object

        税费，分别以买家币种和店铺币种展示。

      * `rate`

        double

        税率，以小数形式表示，数值保留到小数点后四位。如果税率为2%，该值为`0.0200`。该信息只做展示作用。

      * `title`

        string

        税费说明标题。该信息只做展示作用。

    * `title`

      string

      物流公司名称。

  * `source_identifier`

    string

    买家点击链接访问商店时的营销推荐代码。支持以下 URL 参数：`ref`、`resource` 或 `r`。例如，如果 URL 是 `myshopline.com/products/slide?ref=22dd9dctg`
    则该值为 `22dd9dctg`。

  * `source_name`

    string

    表示查询订单的行为是由哪个应用触发的。有效枚举值包含：
    - `sales_plugin_of`：行为来自营销系统的分销插件
    - `member_plugin_referral`：行为来自会员系统的推荐插件

  * `source_url`

    string

    归因 URL，用于记录买家如何被重定向到在线商店。

  * `status`

    string

    订单状态。有效枚举值包含：
    - `open`：订单处理中
    - `cancelled`：订单已取消

  * `store_id`

    string

    店铺 ID。

  * `subtotal_price`

    string

    商品折后价总和，为商品总价 - 营销优惠 - 自定义折扣，以店铺币种展示。

  * `subtotal_price_set`

    object

    商品折后价总和，分别以买家币种和店铺币种展示。

    * `presentment_money`

      object

      展示给买家的折后价格信息。

      * `amount`

        string

        折后价格，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。

    * `shop_money`

      object

      店铺侧记录的折后价格信息。

      * `amount`

        string

        折后价格，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。

  * `tags`

    string

    订单标签。

  * `tax_description`

    string

    税费说明。

  * `tax_lines`

    array<object>

    税费明细列表。

    * `name`

      string

      税费名称。

    * `price`

      string

      税费，以店铺币种展示。数值保留到小数点后两位。

    * `price_set`

      object

      税费，分别以买家币种和店铺币种展示。

      * `presentment_money`

        object

        展示给买家的税费信息。

      * `shop_money`

        object

        店铺侧记录的税费信息。

    * `rate`

      double

      税率，以小数形式表示，数值保留到小数点后四位。如果税率为2%，该值为`0.0200`。该信息只做展示作用。

    * `title`

      string

      税费说明标题。该信息只做展示作用。

  * `tax_number`

    string

    税号。

  * `tax_type`

    string

    订单的税费类型。有效枚举值包含：
    - `product_tax`：商品税
    - `shipping_tax`：运费税

  * `taxes_included`

    boolean

    该订单是否包含税费金额。
    - `true`：包含税费金额
    - `false`：不包含税费金额

  * `total_discounts`

    string

    订单折扣总和，为营销折扣 + 自定义折扣，数值保留到小数点后两位，以店铺币种展示。
    
    :::danger
    **废弃**：该字段自 API 版本 v20210901 起已废弃。
    :::
    

  * `total_discounts_set`

    object

    订单折扣总和，为营销折扣 + 自定义折扣，分别以店铺币种和买家币种展示。
    
    :::danger
    **废弃**：该字段自 API 版本 v20210901 起已废弃。
    :::

    * `presentment_money`

      object

      展示给买家的折扣信息。

      * `amount`

        string

        折扣金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。

    * `shop_money`

      object

      店铺侧记录的折扣信息。

      * `amount`

        string

        折扣金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。

  * `total_line_items_price`

    string

    商品原价总和，数值保留到小数点后两位，以店铺币种展示。

  * `total_line_items_price_set`

    object

    商品原价总和，分别以买家币种和店铺币种展示。

    * `presentment_money`

      object

      展示给买家的商品原价信息。

      * `amount`

        string

        商品原价，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      店铺侧记录的商品原价信息。

      * `amount`

        string

        商品原价，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `total_outstanding`

    string

    未付款金额总额，数值保留到小数点后两位，以店铺币种展示。

  * `total_shipping_price_set`

    object

    订单运费总和，分别以买家币种和店铺币种展示。

    * `presentment_money`

      object

      展示给买家的运费信息。

      * `amount`

        string

        运费金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      店铺侧记录的运费信息。

      * `amount`

        string

        运费，数值保留到小数点后两位。
        

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `total_tax`

    string

    税费总额，数值保留到小数点后两位，以店铺币种展示。

  * `total_tax_set`

    object

    税费总和，分别以买家币种和店铺币种展示。

    * `presentment_money`

      object

      展示给买家的税费信息。

      * `amount`

        string

        税费，数值保留到小数点后两位。
        

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      店铺侧记录的税费信息。

      * `amount`

        string

        税费，数值保留到小数点后两位。
        

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `total_tip_received`

    string

    小费，数值保留到小数点后两位，以店铺币种展示。

  * `total_tip_received_set`

    object

    小费，分别以店铺币种和买家币种展示。

    * `presentment_money`

      object

      展示给买家的小费信息。

      * `amount`

        string

        小费金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      店铺侧记录的小费信息。

      * `amount`

        string

        小费，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `total_weight`

    double

    商品总重量，单位：g。

  * `updated_at`

    string

    订单更新日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `user_id`

    string

    买家 ID。

  * `utm_parameters`

    string

    广告业务专用的参数，用于广告的归因计算。
    
    :::danger
    **废弃**：该字段自 API 版本 v20251201 起已废弃。请从 [批量查询订单归因信息](https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/order-management/get-order-attribution-in-bulk.md) 接口获取。
    :::


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "查询订单"
  ],
  "description": "可根据请求条件批量查询订单详细信息，比如根据订单创建时间或者更新时间来查询订单，同步订单数据，也可以指定订单 ID 查询单个订单信息。",
  "externalDocs": {
    "description": "接口使用的权限点: `read_orders` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| INTERNAL_ERROR | 500 | An internal error occured. |\n| SUCCESS | 200 | request success |\n| PARAM_ILLEGAL | 422 | illegal param |\n| ILLEGAL_PARAMS | 422 | illegal param |\n| ORDER_AT_END_TIME_AFTER_START | 400 | The \"order_at_max\" must be later than \"order_at_min\". |\n"
  },
  "operationId": "jyjIsvq9",
  "parameters": [
    {
      "name": "email",
      "in": "query",
      "description": "下单买家的邮箱。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "email",
        "description": "下单买家的邮箱。",
        "type": "string",
        "example": "Washingtontest@gmail.com"
      },
      "example": "Washingtontest@gmail.com",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "financial_status",
      "in": "query",
      "description": "指定订单支付状态，有效枚举值包含：\n- `unpaid`：未支付\n- `authorized`：已授权\n- `pending`：支付中\n- `partially_paid`：部分支付\n- `paid`：已支付\n- `partially_refunded`：部分退款\n- `refunded`：已退款",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "financial_status",
        "description": "指定订单支付状态，有效枚举值包含：\n- `unpaid`：未支付\n- `authorized`：已授权\n- `pending`：支付中\n- `partially_paid`：部分支付\n- `paid`：已支付\n- `partially_refunded`：部分退款\n- `refunded`：已退款",
        "type": "string"
      },
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "fulfillment_status",
      "in": "query",
      "description": "指定订单发货状态，有效枚举值包含：\n- `unshipped`：未发货\n- `partial`：部分发货\n- `shipped`：已发货\n\n默认值：`unshipped`\n\n:::warning\n**注意**：传入枚举值的准确性会进行强校验，如果枚举值校验不通过，则订单查询会失败，会报错 `fulfillment status value is illegal`。\n:::",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fulfillment_status",
        "description": "指定订单发货状态，有效枚举值包含：\n- `unshipped`：未发货\n- `partial`：部分发货\n- `shipped`：已发货\n\n默认值：`unshipped`\n\n:::warning\n**注意**：传入枚举值的准确性会进行强校验，如果枚举值校验不通过，则订单查询会失败，会报错 `fulfillment status value is illegal`。\n:::",
        "type": "string"
      },
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "updated_at_min",
      "in": "query",
      "description": "按订单更新时间查询时，指定要查询的订单更新时间起始点。系统将返回该时间点及此后更新的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_min",
        "description": "按订单更新时间查询时，指定要查询的订单更新时间起始点。系统将返回该时间点及此后更新的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
        "type": "string",
        "example": "2021-08-04T23:59:59+08:00"
      },
      "example": "2021-08-04T23:59:59+08:00",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "buyer_id",
      "in": "query",
      "description": "下单买家 ID。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "buyer_id",
        "description": "下单买家 ID。",
        "type": "string",
        "example": "4201057495"
      },
      "example": "4201057495",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "contract_ids",
      "in": "query",
      "description": "订阅合同 ID，多个以逗号分隔。最多支持 50 个 ID。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "contract_ids",
        "description": "订阅合同 ID，多个以逗号分隔。最多支持 50 个 ID。",
        "type": "string",
        "example": "3005619945158043247856"
      },
      "example": "3005619945158043247856",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "created_at_max",
      "in": "query",
      "description": "按订单创建时间查询时，指定要查询的订单创建时间截止点。系统将返回该时间点及此前的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_max",
        "description": "按订单创建时间查询时，指定要查询的订单创建时间截止点。系统将返回该时间点及此前的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
        "type": "string",
        "example": "2021-08-18T23:59:59+08:00"
      },
      "example": "2021-08-18T23:59:59+08:00",
      "examples": {
        "查询订单": {
          "value": "2024-10-10T12:00:00+08:00"
        }
      }
    },
    {
      "name": "created_at_min",
      "in": "query",
      "description": "按订单创建时间查询时，指定要查询的订单创建时间起始点。系统将返回该时间点及此后的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "created_at_min",
        "description": "按订单创建时间查询时，指定要查询的订单创建时间起始点。系统将返回该时间点及此后的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
        "type": "string",
        "example": "2021-08-04T23:59:59+08:00"
      },
      "example": "2021-08-04T23:59:59+08:00",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "limit",
      "in": "query",
      "description": "单次查询返回的订单最大数量。有效值范围为 `1` - `100`，默认值为 `20`。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "单次查询返回的订单最大数量。有效值范围为 `1` - `100`，默认值为 `20`。",
        "type": "string"
      },
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "location",
      "in": "query",
      "description": "订单中商品被履约的地点 ID（或是 POS 交易点 ID），支持传入多个地点 ID，用逗号隔开。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "location",
        "description": "订单中商品被履约的地点 ID（或是 POS 交易点 ID），支持传入多个地点 ID，用逗号隔开。",
        "type": "string",
        "example": "5453386037065169090, 5564834083287605454"
      },
      "example": "5453386037065169090, 5564834083287605454",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "name",
      "in": "query",
      "description": "订单编号（和订单 ID 不同，该编号可以在商家后台自定义前缀）。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "name",
        "description": "订单编号（和订单 ID 不同，该编号可以在商家后台自定义前缀）。",
        "type": "string",
        "example": "D2034"
      },
      "example": "D2034",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "order_at_max",
      "in": "query",
      "description": "按订单时间查询时，指定要查询的订单时间截止点。系统将返回该时间点及此前 1 年内的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "order_at_max",
        "description": "按订单时间查询时，指定要查询的订单时间截止点。系统将返回该时间点及此前 1 年内的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
        "type": "string",
        "example": "2026-07-17T15:00:00Z"
      },
      "example": "2026-07-17T15:00:00Z",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "fields",
      "in": "query",
      "description": "指定查询的字段，用逗号分隔，不传则返回所有的字段信息。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fields",
        "description": "指定查询的字段，用逗号分隔，不传则返回所有的字段信息。",
        "type": "string",
        "example": "id,email,note"
      },
      "example": "id,email,note",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "order_at_min",
      "in": "query",
      "description": "按订单时间查询时，指定要查询的订单时间起始点。系统将返回该时间点及此后 1 年内的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "order_at_min",
        "description": "按订单时间查询时，指定要查询的订单时间起始点。系统将返回该时间点及此后 1 年内的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
        "type": "string",
        "example": "2026-07-17T15:00:00Z"
      },
      "example": "2026-07-17T15:00:00Z",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "分页查询的唯一标识，用于定位特定页面。\n\n该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 `link` 的值为 `<https://{handle}.myshopline.com/admin/openapi/{version}/orders.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` ，那么 `page_info `的值为 `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` 。\n\n关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "分页查询的唯一标识，用于定位特定页面。\n\n该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 `link` 的值为`<https://{handle}.myshopline.com/admin/openapi/{version}/products/products.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"`，那么 `page_info`的值为`eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9`。\n\n关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
        "type": "string"
      },
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "search_content",
      "in": "query",
      "description": "搜索内容， 例如订单号、支付流水号、快递单号、商品名称、商品 SKU 货号或订单金额等。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "search_content",
        "description": "搜索内容， 例如订单号、支付流水号、快递单号、商品名称、商品 SKU 货号或订单金额等。",
        "type": "string",
        "example": "D203"
      },
      "example": "D203",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "since_id",
      "in": "query",
      "description": "要查询的数据的订单号 ID 的起始位置。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "since_id",
        "description": "要查询的数据的订单号 ID 的起始位置。",
        "type": "string",
        "example": "21056199447626881527947685"
      },
      "example": "21056199447626881527947685",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "sort_condition",
      "in": "query",
      "description": "设置查询订单结果的排序规则。可按以下字段进行排序：`order_at` （订单创建时间）或 `id` （订单 ID）。每个字段可以指定为升序 （`asc`）或降序 （`desc`）。如有多个排序条件，请使用逗号隔开。\n\n例如，若将该字段设置为 `order_at:desc, id:asc`，则订单结果将首先按照订单创建时间从新到旧的顺序排列，之后按照订单 ID 从小到大的顺序排列。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "sort_condition",
        "description": "设置查询订单结果的排序规则。可按以下字段进行排序：`order_at` （订单创建时间）或 `id` （订单 ID）。每个字段可以指定为升序 （`asc`）或降序 （`desc`）。如有多个排序条件，请使用逗号隔开。\n\n例如，若将该字段设置为 `order_at:desc, id:asc`，则订单结果将首先按照订单创建时间从新到旧的顺序排列，之后按照订单 ID 从小到大的顺序排列。",
        "type": "string",
        "example": "order_at:desc"
      },
      "example": "order_at:desc",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "status",
      "in": "query",
      "description": "指定订单状态，有效枚举值包含：\n- `open`：处理中\n- `cancelled`：已取消\n- `any`：包含任何状态，包括已归档",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "status",
        "description": "指定订单状态，有效枚举值包含：\n- `open`：处理中\n- `cancelled`：已取消\n- `any`：包含任何状态，包括已归档",
        "type": "string"
      },
      "examples": {
        "查询订单": {
          "value": "cancelled"
        }
      }
    },
    {
      "name": "hidden_order",
      "in": "query",
      "description": "指定要查询的订单是否已归档。\n- `true`：订单已归档。\n- `false`：订单未归档。\n\n默认值：`false`",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "hidden_order",
        "description": "指定要查询的订单是否已归档。\n- `true`：订单已归档。\n- `false`：订单未归档。\n\n默认值：`false`",
        "type": "string"
      },
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "ids",
      "in": "query",
      "description": "订单号，多个以逗号分隔。最多支持 100 个订单号。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "ids",
        "description": "订单号，多个以逗号分隔。最多支持 100 个订单号。",
        "type": "string",
        "example": "21050224312121887324667162, 21050224312121887324667164"
      },
      "example": "21050224312121887324667162, 21050224312121887324667164",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "updated_at_max",
      "in": "query",
      "description": "按订单更新时间查询时，指定要查询的订单更新时间截止点。系统将返回该时间点及此前更新的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_max",
        "description": "按订单更新时间查询时，指定要查询的订单更新时间截止点。系统将返回该时间点及此前更新的订单。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
        "type": "string",
        "example": "2021-08-18T23:59:59+08:00"
      },
      "example": "2021-08-18T23:59:59+08:00",
      "examples": {
        "查询订单": {
          "value": ""
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "link": {
          "description": "提供分页数据的 URL 链接。你可以获取该字段值中的 `page_info` 信息用于下一次分页请求中。\n\n当你请求的页面存在上一页或下一页的时候，该字段会被返回。关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
          "example": "\\<https://{handle}.myshopline.com/admin/openapi/{version}/orders.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel='previous',<https://{handle}.myshopline.com/admin/openapi/{version}/orders.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=\\>; rel='next'"
        },
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "orders": {
                "name": "orders",
                "description": "订单数据列表。",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "adjust_price": {
                      "name": "adjust_price",
                      "description": "POS 交易场景下因金额四舍五入带来的差额金额，用店铺币种。",
                      "type": "string",
                      "example": "8.00"
                    },
                    "adjust_price_set": {
                      "name": "adjust_price_set",
                      "description": "POS 交易场景下因金额四舍五入带来的差额金额，分别以买家币种和店铺币种展示。",
                      "type": "object",
                      "properties": {
                        "presentment_money": {
                          "name": "presentment_money",
                          "description": "展示给买家的差额金额信息。",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "差额金额。数值保留到小数点后两位。",
                              "type": "string",
                              "example": "8.00"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "shop_money": {
                          "name": "shop_money",
                          "description": "店铺侧记录的差额金额信息。",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "差额金额。数值保留到小数点后两位。\n",
                              "type": "string",
                              "example": "8.00"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        }
                      },
                      "example": {
                        "presentment_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "billing_address": {
                      "name": "billing_address",
                      "description": "用于邮寄账单发票的地址。",
                      "type": "object",
                      "properties": {
                        "address1": {
                          "name": "address1",
                          "description": "账单地址的第一行。通常是街道地址或邮政信箱编号等信息。",
                          "type": "string",
                          "example": "Address 1"
                        },
                        "address2": {
                          "name": "address2",
                          "description": "账单地址的第二行。通常是公寓、套房或单元等信息。",
                          "type": "string",
                          "example": "Address 2"
                        },
                        "city": {
                          "name": "city",
                          "description": "账单地址中的城市。",
                          "type": "string",
                          "example": "New York"
                        },
                        "company": {
                          "name": "company",
                          "description": "账单收件人所在的公司名称。",
                          "type": "string",
                          "example": "New company name"
                        },
                        "country": {
                          "name": "country",
                          "description": "账单地址中的国家或地区。",
                          "type": "string",
                          "example": "USA"
                        },
                        "country_code": {
                          "name": "country_code",
                          "description": "账单地址中国家或地区的二位码，遵循 [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html)  国际标准。",
                          "type": "string",
                          "example": "US"
                        },
                        "first_name": {
                          "name": "first_name",
                          "description": "账单收件人的名。",
                          "type": "string",
                          "example": "Tom"
                        },
                        "last_name": {
                          "name": "last_name",
                          "description": "账单收件人的姓。",
                          "type": "string",
                          "example": "Washington"
                        },
                        "name": {
                          "name": "name",
                          "description": "账单收件人的全名。",
                          "type": "string",
                          "example": "test1001"
                        },
                        "phone": {
                          "name": "phone",
                          "description": "账单收件人的手机号码。",
                          "type": "string",
                          "example": "13100000000"
                        },
                        "province": {
                          "name": "province",
                          "description": "账单地址中的省份。",
                          "type": "string",
                          "example": "California"
                        },
                        "province_code": {
                          "name": "province_code",
                          "description": "账单地址中省份的编码，该编码可以是自定义编号或者为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码。",
                          "type": "string",
                          "example": "4200006"
                        },
                        "standard_province_code": {
                          "name": "standard_province_code",
                          "description": "账单地址中省份的编码，该编码为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码，区别于`province_code`返参为自定义编码。",
                          "type": "string"
                        },
                        "zip": {
                          "name": "zip",
                          "description": "账单地址的邮编信息。",
                          "type": "string",
                          "example": "92503"
                        }
                      },
                      "example": {
                        "address1": "Address 1",
                        "address2": "Address 2",
                        "city": "New York",
                        "company": "New company name",
                        "country": "USA",
                        "country_code": "US",
                        "first_name": "Tom",
                        "last_name": "Washington",
                        "name": "test1001",
                        "phone": "13100000000",
                        "province": "California",
                        "province_code": "4200006",
                        "standard_province_code": null,
                        "zip": "92503"
                      }
                    },
                    "browser_ip": {
                      "name": "browser_ip",
                      "description": "买家下单时的客户端 IP 地址。",
                      "type": "string",
                      "example": "157.119.232.35"
                    },
                    "buyer_note": {
                      "name": "buyer_note",
                      "description": "买家留言。",
                      "type": "string",
                      "example": "message"
                    },
                    "cancel_reason": {
                      "name": "cancel_reason",
                      "description": "商家取消原因。",
                      "type": "string",
                      "example": "I don't want to buy it."
                    },
                    "cancelled_at": {
                      "name": "cancelled_at",
                      "description": "订单取消的日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                      "type": "string",
                      "example": "2012-05-01T14:22:25-04:00"
                    },
                    "cart_token": {
                      "name": "cart_token",
                      "description": "购物车数据的唯一标识。",
                      "type": "string",
                      "example": "c2c4a58186b9d96395d7e6b5c2969577"
                    },
                    "checkout_id": {
                      "name": "checkout_id",
                      "description": "弃单 ID。",
                      "type": "string",
                      "example": "2404785166526352972864"
                    },
                    "checkout_token": {
                      "name": "checkout_token",
                      "description": "弃单数据的唯一标识，C 端买家发起结算，会生成弃单 。",
                      "type": "string",
                      "example": "c2c4a58186b9d96395d7e6b5c2969577"
                    },
                    "client_details": {
                      "name": "client_details",
                      "description": "客户端详细信息。",
                      "type": "object",
                      "properties": {
                        "browser_ip": {
                          "name": "browser_ip",
                          "description": "买家下单时的客户端 IP 地址。",
                          "type": "string",
                          "example": "157.119.232.35"
                        },
                        "session_hash": {
                          "name": "session_hash",
                          "description": "会员会话加密信息。",
                          "type": "string",
                          "example": "c2c4a58186b9d96395d7e6b5c2969577"
                        },
                        "user_agent": {
                          "name": "user_agent",
                          "description": "客户端代理。",
                          "type": "string",
                          "example": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Safari/537.36"
                        }
                      },
                      "example": {
                        "browser_ip": "157.119.232.35",
                        "session_hash": "c2c4a58186b9d96395d7e6b5c2969577",
                        "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Safari/537.36"
                      }
                    },
                    "company": {
                      "name": "company",
                      "description": "买家下单时买家所在的公司信息。",
                      "type": "object",
                      "properties": {
                        "id": {
                          "name": "id",
                          "description": "公司 ID。",
                          "type": "string",
                          "example": "1005619945158043247856"
                        },
                        "location_id": {
                          "name": "location_id",
                          "description": "地点 ID。\n",
                          "type": "string",
                          "example": "3005619945158043247856"
                        },
                        "tax_registration_id": {
                          "name": "tax_registration_id",
                          "description": "税号信息。",
                          "type": "string",
                          "example": "213213"
                        }
                      },
                      "example": {
                        "id": "1005619945158043247856",
                        "location_id": "3005619945158043247856",
                        "tax_registration_id": "213213"
                      }
                    },
                    "contract_seq": {
                      "name": "contract_seq",
                      "description": "订阅合同号。",
                      "type": "string",
                      "example": "3005619945158043247856"
                    },
                    "created_at": {
                      "name": "created_at",
                      "description": "订单创建日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                      "type": "string",
                      "example": "2021-08-16T08:27:57+00:00"
                    },
                    "credit_limit": {
                      "name": "credit_limit",
                      "description": "信用额度支付信息。",
                      "type": "object",
                      "properties": {
                        "credit_limit_currency": {
                          "name": "credit_limit_currency",
                          "description": "信用额度币种，与店铺币种相同。三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                          "type": "string",
                          "example": "USD"
                        },
                        "is_credit_limit": {
                          "name": "is_credit_limit",
                          "description": "订单是否使用了信用额度（账期）支付。\n- `true`：有使用 \n- `false`：未使用",
                          "type": "boolean"
                        },
                        "outstanding_credit_limit": {
                          "name": "outstanding_credit_limit",
                          "description": "订单当前待结清（未还）的信用额度总和。随着买家对该订单进行还款，此数值会相应减少。初始和 `total_credit_limit` 相等，如果后续有类似还款操作，占用的额度则相应减少。",
                          "type": "string",
                          "example": "1.00"
                        },
                        "total_credit_limit": {
                          "name": "total_credit_limit",
                          "description": "订单初始使用的信用额度总和（等于初始待结清金额）。",
                          "type": "string",
                          "example": "1.00"
                        }
                      },
                      "example": {
                        "credit_limit_currency": "USD",
                        "is_credit_limit": null,
                        "outstanding_credit_limit": "1.00",
                        "total_credit_limit": "1.00"
                      }
                    },
                    "currency": {
                      "name": "currency",
                      "description": "交易币种，三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                      "type": "string",
                      "example": "USD"
                    },
                    "current_subtotal_price": {
                      "name": "current_subtotal_price",
                      "description": "商品金额总和，为商品单价 * 数量，以店铺币种展示。",
                      "type": "string",
                      "example": "78.0"
                    },
                    "current_subtotal_price_set": {
                      "name": "current_subtotal_price_set",
                      "description": "商品金额总和，为商品单价 * 数量，分别以买家币种和店铺币种展示。",
                      "type": "object",
                      "properties": {
                        "presentment_money": {
                          "name": "presentment_money",
                          "description": "展示给买家的订单价格信息。",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "订单金额。数值保留到小数点后两位。",
                              "type": "string",
                              "example": "8.00"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "shop_money": {
                          "name": "shop_money",
                          "description": "店铺侧记录的订单价格信息。",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "订单金额。数值保留到小数点后两位。",
                              "type": "string",
                              "example": "8.00"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        }
                      },
                      "example": {
                        "presentment_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "current_total_discounts": {
                      "name": "current_total_discounts",
                      "description": "折扣金额总和，数值保留到小数点后两位，为营销优惠 + 人工折扣，以店铺币种展示。",
                      "type": "string",
                      "example": "1.00"
                    },
                    "current_total_discounts_set": {
                      "name": "current_total_discounts_set",
                      "description": "折扣金额总和，数值保留到小数点后两位，为营销优惠 + 人工折扣，分别以买家币种和店铺币种展示。",
                      "type": "object",
                      "properties": {
                        "presentment_money": {
                          "name": "presentment_money",
                          "description": "展示给买家的折扣金额信息。",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "折扣金额总和，数值保留到小数点后两位。",
                              "type": "string",
                              "example": "8.00"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "shop_money": {
                          "name": "shop_money",
                          "description": "店铺侧记录的折扣金额信息。",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "折扣金额总和，数值保留到小数点后两位。",
                              "type": "string",
                              "example": "8.00"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        }
                      },
                      "example": {
                        "presentment_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "current_total_duties_set": {
                      "name": "current_total_duties_set",
                      "description": "商品总关税，分别以买家币种和店铺币种展示。",
                      "type": "object",
                      "properties": {
                        "presentment_money": {
                          "name": "presentment_money",
                          "description": "展示给买家的商品总关税信息。",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "关税金额，数值保留到小数点后两位。",
                              "type": "string",
                              "example": "8.88"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.88",
                            "currency_code": "USD"
                          }
                        },
                        "shop_money": {
                          "name": "shop_money",
                          "description": "店铺侧记录的商品总关税信息。",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "关税金额，数值保留到小数点后两位。",
                              "type": "string",
                              "example": "8.88"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.88",
                            "currency_code": "USD"
                          }
                        }
                      },
                      "example": {
                        "presentment_money": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "current_total_price": {
                      "name": "current_total_price",
                      "description": "订单总额，以店铺币种展示。",
                      "type": "string",
                      "example": "60.0"
                    },
                    "current_total_price_set": {
                      "name": "current_total_price_set",
                      "description": "订单总额，分别以买家币种和店铺币种展示。",
                      "type": "object",
                      "properties": {
                        "presentment_money": {
                          "name": "presentment_money",
                          "description": "展示给买家的订单价格信息。",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "订单总额，数值保留到小数点后两位。",
                              "type": "string",
                              "example": "8.00"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "shop_money": {
                          "name": "shop_money",
                          "description": "店铺侧记录的订单价格信息。",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "订单总额，数值保留到小数点后两位。",
                              "type": "string",
                              "example": "8.00"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        }
                      },
                      "example": {
                        "presentment_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "current_total_tax": {
                      "name": "current_total_tax",
                      "description": "税费金额总和，以店铺币种展示。",
                      "type": "string",
                      "example": "1.00"
                    },
                    "current_total_tax_set": {
                      "name": "current_total_tax_set",
                      "description": "税费金额总和，分别以买家币种和店铺币种展示。",
                      "type": "object",
                      "properties": {
                        "presentment_money": {
                          "name": "presentment_money",
                          "description": "展示给买家的税费信息。",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "税费，数值保留到小数点后两位。",
                              "type": "string",
                              "example": "8.00"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "shop_money": {
                          "name": "shop_money",
                          "description": "店铺侧记录的税费信息。",
                          "type": "object",
                          "properties": {
                            "amount": {
                              "name": "amount",
                              "description": "税费，数值保留到小数点后两位。",
                              "type": "string",
                              "example": "8.00"
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。\n",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        }
                      },
                      "example": {
                        "presentment_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "customer": {
                      "name": "customer",
                      "description": "买家信息。",
                      "type": "object",
                      "properties": {
                        "addresses": {
                          "name": "addresses",
                          "description": "买家地址信息。",
                          "type": "object",
                          "properties": {
                            "address1": {
                              "name": "address1",
                              "description": "买家地址的第一行。通常是街道地址或邮政信箱编号等信息。",
                              "type": "string",
                              "example": "Wanda"
                            },
                            "address2": {
                              "name": "address2",
                              "description": "买家地址的第二行。通常是公寓、套房或单元等信息。",
                              "type": "string",
                              "example": "65788"
                            },
                            "city": {
                              "name": "city",
                              "description": "买家地址中的城市。",
                              "type": "string",
                              "example": "Yangquan City"
                            },
                            "country": {
                              "name": "country",
                              "description": "买家地址中的国家或地区。",
                              "type": "string",
                              "example": "China"
                            },
                            "country_code": {
                              "name": "country_code",
                              "description": "买家地址中国家或地区的二位码，遵循 [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) 国际标准。",
                              "type": "string",
                              "example": "US"
                            },
                            "first_name": {
                              "name": "first_name",
                              "description": "买家地址中收件人的名。",
                              "type": "string",
                              "example": "Tom"
                            },
                            "last_name": {
                              "name": "last_name",
                              "description": "买家地址中收件人的姓。",
                              "type": "string",
                              "example": "Washington"
                            },
                            "name": {
                              "name": "name",
                              "description": "买家地址中收件人的全名。",
                              "type": "string",
                              "example": "D203"
                            },
                            "phone": {
                              "name": "phone",
                              "description": "买家地址中收件人手机号。",
                              "type": "string",
                              "example": "13100000000"
                            },
                            "province": {
                              "name": "province",
                              "description": "买家地址中的省份。",
                              "type": "string",
                              "example": "Shanxi Province"
                            },
                            "province_code": {
                              "name": "province_code",
                              "description": "买家地址中省份的编码，该编码可以是自定义编号或者为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码。",
                              "type": "string",
                              "example": "ASD"
                            },
                            "zip": {
                              "name": "zip",
                              "description": "买家地址的邮编信息。",
                              "type": "string",
                              "example": "521000"
                            }
                          },
                          "example": {
                            "address1": "Wanda",
                            "address2": "65788",
                            "city": "Yangquan City",
                            "country": "China",
                            "country_code": "US",
                            "first_name": "Tom",
                            "last_name": "Washington",
                            "name": "D203",
                            "phone": "13100000000",
                            "province": "Shanxi Province",
                            "province_code": "ASD",
                            "zip": "521000"
                          }
                        },
                        "area_code": {
                          "name": "area_code",
                          "description": "国家或地区的手机区号。",
                          "type": "string",
                          "example": "+86"
                        },
                        "created_at": {
                          "name": "created_at",
                          "description": "买家信息创建日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                          "type": "string",
                          "example": "2024-08-31T02:20:26+08:00"
                        },
                        "currency": {
                          "name": "currency",
                          "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                          "type": "string",
                          "example": "USD"
                        },
                        "email": {
                          "name": "email",
                          "description": "买家的邮箱地址。",
                          "type": "string",
                          "example": "Washingtontest@gmail.com"
                        },
                        "first_name": {
                          "name": "first_name",
                          "description": "买家的名。",
                          "type": "string",
                          "example": "Tom"
                        },
                        "id": {
                          "name": "id",
                          "description": "买家 ID。",
                          "type": "string",
                          "example": "4201057495"
                        },
                        "last_name": {
                          "name": "last_name",
                          "description": "买家的姓。",
                          "type": "string",
                          "example": "Washington"
                        },
                        "phone": {
                          "name": "phone",
                          "description": "买家的手机号。",
                          "type": "string",
                          "example": "13100000000"
                        },
                        "updated_at": {
                          "name": "updated_at",
                          "description": "买家信息更新日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                          "type": "string",
                          "example": "2022-11-04T10:18:46+00:00"
                        }
                      },
                      "example": {
                        "addresses": {
                          "address1": "Wanda",
                          "address2": "65788",
                          "city": "Yangquan City",
                          "country": "China",
                          "country_code": "US",
                          "first_name": "Tom",
                          "last_name": "Washington",
                          "name": "D203",
                          "phone": "13100000000",
                          "province": "Shanxi Province",
                          "province_code": "ASD",
                          "zip": "521000"
                        },
                        "area_code": "+86",
                        "created_at": "2024-08-31T02:20:26+08:00",
                        "currency": "USD",
                        "email": "Washingtontest@gmail.com",
                        "first_name": "Tom",
                        "id": "4201057495",
                        "last_name": "Washington",
                        "phone": "13100000000",
                        "updated_at": "2022-11-04T10:18:46+00:00"
                      }
                    },
                    "customer_locale": {
                      "name": "customer_locale",
                      "description": "买家语种编码 + 国家或地区码。语种编码遵循 [ISO 639](https://www.iso.org/iso-639-language-code) 标准。国家或地区码遵循 [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) 标准。",
                      "type": "string",
                      "example": "enCA"
                    },
                    "deduct_member_point_amount": {
                      "name": "deduct_member_point_amount",
                      "description": "当前订单会员积分抵扣金额，以店铺币种展示。数值保留到小数点后两位。",
                      "type": "string",
                      "example": "8.00"
                    },
                    "deduct_member_point_amount_set": {
                      "name": "deduct_member_point_amount_set",
                      "description": "当前订单会员积分抵扣金额，分别以买家币种和店铺币种展示。",
                      "type": "object",
                      "properties": {
                        "presentment_money": {
                          "name": "presentment_money",
                          "description": "展示给买家的订单抵扣金额信息。",
                          "type": "object",
                          "properties": {
                            "amount": {
[...]
